Skip to content

rest-api

Auto Added by WPeMatico

Magento 2 – Rest API error – The consumer isn’t authorized to access %resources

I am following the document to create a Rest API: https://developer.adobe.com/commerce/php/tutorials/backend/create-custom-rest-api/ and defined user roles: Generate Admin Access Token: If i try with the following API, i am getting an error: http://magento2.local/rest/V1/rest_dev/getProduct/1 Postman: What is the error? I created admin… Read More »Magento 2 – Rest API error – The consumer isn’t authorized to access %resources

Magento 2 – Rest API error

I am following the document to create a Rest API: https://www.mageplaza.com/devdocs/magento-2-create-api/ and i create access token from backend: when i try to access, i am getting The consumer isn’t authorized to access %resources What is my error?

PUT/POST Rest request occasionally fail without error status code 400

Not quite sure where to start debugging, PUT/POST request occasionally without any errors in Magento logs, status code 400. The exact same request later goes through succesfully. Example failed request: 400 PUT /rest/V1/products/9793/stockItems/1567?stockItem%5Bqty%5D=466&stockItem%5Bis_in_stock%5D=1 HTTP/2.0 varnish Example successfull request moments later:… Read More »PUT/POST Rest request occasionally fail without error status code 400